/*
 * AlibavaSOAP.h
 *
 *  Created on: 9 Jan 2011
 *      Author: lacasta
 */

#ifndef AlibavaSOAP_H_
#define AlibavaSOAP_H_

struct AlibavaSOAP_priv;

class AlibavaSOAP
{
    private:
        AlibavaSOAP_priv *_priv;
    public:
        AlibavaSOAP( int port);
        virtual ~AlibavaSOAP();

        void serve(bool threaded=true);
        bool is_running() const;
        void stop_serving();
        int error();
        std::string strerror() const;
};
#endif /* AlibavaSOAP_H_ */
