/* -*- mode: c++ -*- */
#ifndef __LaserConfig_h__
#define __LaserConfig_h__

#include <ConfigFile.h>

class LaserConfig : public ConfigFile
{
    private:
        int _delay;
        void cpy(const LaserConfig &L);
    public:
        LaserConfig(int d=200);
        LaserConfig(const LaserConfig &L);
        LaserConfig &operator=(const LaserConfig &L);
        ~LaserConfig();
        void load_data();
        void save_data();
        int delay() const;
        void delay(int v);
};

#endif
